NWG-LOOK(1)

NAME
nwg-look - GTK3 settings editor for wlroots environments like Sway.

SYNOPSIS
nwg-look [options]

DESCRIPTION
This manual page describes nwg-look, a GTK3 settings editor designed to work properly in wlroots-based Wayland environments, such as Sway. The look and feel is strongly influenced by LXAppearance, but nwg-look is intended to free the user from a few inconveniences: it works natively on Wayland, and it applies gsettings directly, so you don't need to add anything special to your Sway configuration.

OPTIONS

-a  Apply stored gsettings and quit.

-d  Enable debug messages.

-r  Restore to default values and quit.

-v  Display version information.

-x  Export config files and quit.

USAGE
With Sway, you don't need any special stuff in your Sway configuration file. This means you should remove any "gsettings" or "import-gsettings" directives from your Sway configuration.

COMPATIBILITY
Some gsettings keys have no direct counterparts in Gtk.Settings. While exporting the settings.ini file, nwg-look uses the most similar values:

Settings that no longer work include:

•   Toolbar style (deprecated since GTK 3.10)

•   Toolbar icon size (deprecated since GTK 3.10)

•   Show button images (deprecated since GTK 3.10)

•   Show menu images (deprecated since GTK 3.10)

•   Enable event sounds (does not seem to affect non-GNOME environments)

•   Enable input feedback sounds (does not seem to affect non-GNOME environments)

SEE ALSO
https://github.com/nwg-piotr/nwg-look